2024-02-29 07:09 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0006047Lionheart[WHDLoad Installs Games] slavepublic2023-04-09 08:16
ReporterRetro-Nerd 
Assigned ToPsygoreProject InfoLionheart (Thalion)
http://www.whdload.de/games/Lionheart.html
 
PrioritynormalSeveritytweakReproducibilityalways
StatusclosedResolutionfixed 
Summary0006047: Lionheart shows flickering background graphic if you set a joypad button combo as QuitKey
DescriptionAs for Midnight Resistance: I've mapped the quitkey ($11a) to the CD32 pad (Play+FW+RW). Strangely the background graphics right in level 1 starts to flicker horribly. Is this fixable somehow? Latest slave.

TagsNo tags attached.
MachineA1200
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.1
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.8beta
imported
Attached Files

-Relationships
+Relationships

-Notes

note ~0012414

Psygore (developer)

The slave already supports quitkey by pressing play+fw+rv with a cd32 pad.

note ~0012415

Retro-Nerd (reporter)

Ah, ok. I guess in this case it causes some trouble with the globally mapped $11a.

note ~0012416

Retro-Nerd (reporter)

But i want to keep the globally set quitkey=$11a for all games. When i set a local keyboard quitkey for Lionheart then the flickering is gone. But of course i loose the Play+FWD+RWD option to use this jopypad combo. It this conflict fixable somehow?

note ~0012430

Psygore (developer)

WHDLoad and the slave use their own routine for the cd32 buttons in the vbl interrupt and it takes some scanlines. Lionheart will not have all free time to display the gradient colors.

You can try to add novbrmove option for this game, it will disable the cd32 buttons read from whdload.

note ~0012431

Retro-Nerd (reporter)

I already tried that. The quitkey joypad combo is still blocked with NoVBRMove (same as with keyboard quitkey).

note ~0012571

Psygore (developer)

Attached a new slave with keyboard quitkey.

note ~0012572

Retro-Nerd (reporter)

Nice one. Thanks for the update. Works fine now. :)

note ~0012574

Psygore (developer)

By default, there is only one quitkey (keyboard or cd32 buttons).

If you set for example quitkey=93 (PrtSc) in Lionheart tooltypes icon with old slave, you can quit with keyboard and cd32 buttons and still have quitkey=$116 in global preferences (and no need novbrmove).

Local options overwrite global options.

note ~0012604

Psygore (developer)

New install available.
+Notes

-Issue History
Date Modified Username Field Change
2023-02-02 00:57 Retro-Nerd New Issue
2023-02-02 21:17 Psygore Note Added: 0012414
2023-02-02 21:48 Retro-Nerd Note Added: 0012415
2023-02-02 22:14 Retro-Nerd Note Added: 0012416
2023-02-04 21:10 Psygore Note Added: 0012430
2023-02-04 21:24 Retro-Nerd Note Added: 0012431
2023-03-26 20:05 Psygore Assigned To => Psygore
2023-03-26 20:05 Psygore Status new => assigned
2023-03-26 20:06 Psygore File Added: Lionheart24b.lha
2023-03-26 20:06 Psygore Note Added: 0012571
2023-03-26 20:24 Retro-Nerd Note Added: 0012572
2023-03-27 14:39 Psygore Note Added: 0012574
2023-04-03 00:59 Psygore Status assigned => resolved
2023-04-03 00:59 Psygore Resolution open => fixed
2023-04-03 00:59 Psygore Note Added: 0012604
2023-04-09 08:16 Psygore Status resolved => closed
+Issue History